summaryrefslogtreecommitdiff
path: root/UNI
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-02-28 15:24:34 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-02-28 15:24:34 +0100
commitf264f58636579436f58aa3b0c2cb392938000a59 (patch)
treed42e59dfa737a24ac2027b5717892e4c61c6ae13 /UNI
parentbf8417ee073b8600a738fcc0203674d3cf1ca8fa (diff)
some fgbs24a scripts
Diffstat (limited to 'UNI')
-rw-r--r--UNI/host/app.c2
-rwxr-xr-xUNI/run-fgbs24a.sh28
2 files changed, 29 insertions, 1 deletions
diff --git a/UNI/host/app.c b/UNI/host/app.c
index e624fa2..596d0cf 100644
--- a/UNI/host/app.c
+++ b/UNI/host/app.c
@@ -319,7 +319,7 @@ int main(int argc, char **argv) {
input_size / timer.time[2],
input_size / (timer.time[4]),
input_size / (timer.time[0] + timer.time[1] + timer.time[3] + timer.time[4] + timer.time[5] + timer.time[6] + timer.time[7]));
- printf(" throughput_upmem_wxsr_MBps=%f throughput_upmem_lwxsr_MBps=%f throughput_upmem_alwxsr_MBps=%f\n",
+ printf(" throughput_upmem_wxsr_MOpps=%f throughput_upmem_lwxsr_MOpps=%f throughput_upmem_alwxsr_MOpps=%f\n",
input_size / (timer.time[3] + timer.time[4] + timer.time[5] + timer.time[6]),
input_size / (timer.time[1] + timer.time[3] + timer.time[4] + timer.time[5] + timer.time[6]),
input_size / (timer.time[0] + timer.time[1] + timer.time[3] + timer.time[4] + timer.time[5] + timer.time[6]));
diff --git a/UNI/run-fgbs24a.sh b/UNI/run-fgbs24a.sh
new file mode 100755
index 0000000..92f73bf
--- /dev/null
+++ b/UNI/run-fgbs24a.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+
+mkdir -p $(hostname)
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+(
+
+echo "prim-benchmarks UNI (dfatool fgbs24a edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 2543 2304 2048; do
+ for nr_tasklets in 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 251658240 -x 1 || true
+ fi
+ done
+done
+echo "Completed at $(date)"
+) | tee "$(hostname)/fgbs24a.txt"